Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_hmac.h File Reference

Go to the source code of this file.

## Functions
void | Init_ossl_hmac (void)

## Variables
VALUE | cHMAC
VALUE | eHMACError

## Function Documentation

## ◆ Init_ossl_hmac()

void Init_ossl_hmac | ( | void |  | ) |

Definition at line 333 of file ossl_hmac.c.

References cHMAC, eHMACError, eOSSLError, mOSSL, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_module(), and rb_eStandardError.

## Variable Documentation

## ◆ cHMAC

VALUE cHMAC

Definition at line 26 of file ossl_hmac.c.

Referenced by Init_ossl_hmac().

## ◆ eHMACError

VALUE eHMACError

Definition at line 27 of file ossl_hmac.c.

Referenced by Init_ossl_hmac().